<div class="card my-5">
  <div class="card-body">
    <form (ngSubmit)="onSubmit()" #beerForm="ngForm">
      <div class="form-group">
        <label for="name">Name</label>
        <input type="text" [(ngModel)]="beer.name"
               class="form-control"
               id="name"
               name="name"
               placeholder="Enter your name"
               required #name="ngModel">
      </div>
      <div [hidden]="!name.pristine" class="alert alert-danger">Name is required</div>

      <div class="form-group">
        <label for="percentage">Percentage</label>
        <input type="number" [(ngModel)]="beer.percentage"
               class="form-control"
               id="percentage"
               name="percentage"
               placeholder="Enter percentage"
               required #percentage="ngModel">
        <div [hidden]="!percentage.pristine" class="alert alert-danger">Percentage is required</div>
      </div>

      <div class="form-group">
        <label for="price">Price</label>
        <input type="number" [(ngModel)]="beer.price"
               class="form-control"
               id="price"
               name="price"
               placeholder="Enter price"
               required #price="ngModel">
        <div [hidden]="!price.pristine" class="alert alert-danger">Price is required</div>
      </div>

      <button type="submit" [disabled]="!beerForm.form.valid"
              class="btn btn-info">Submit</button>
    </form>
  </div>
</div>
